Bug 461794 - Review Request:0xFFFF - The Open Free Fiasco Firmware Flasher
Summary: Review Request:0xFFFF - The Open Free Fiasco Firmware Flasher
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-10 16:20 UTC by David Woodhouse
Modified: 2008-11-10 23:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-10 21:21:55 UTC
wolfy: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description David Woodhouse 2008-09-10 16:20:10 UTC
Spec URL: http://david.woodhou.se/0xFFFF.spec
SRPM URL: http://david.woodhou.se/0xFFFF-0.3.2-1.fc10.src.rpm
Description:
The 'Open Free Fiasco Firmware Flasher' aka 0xFFFF utility implements
a free (GPL3) userspace handler for the NOLO bootloader and related
utilities for the Nokia Internet Tablets like flashing setting device
options, packing/unpacking FIASCO firmware format and more..

Comment 1 Fabian Affolter 2008-09-13 08:04:38 UTC
There is a new version available. 0.3.9.  Maybe you should update the spec.

This is only an informal review because it's my second.

RPM Lint:  ok
Package name:  ok
Spec file: ok
  - use 'Source0: 'http://www.nopcode.org/0xFFFF/get/%{name}-%{version}.tar.gz' instead of 'Source0: http://www.nopcode.org/0xFFFF/get/0xFFFF-0.3.2.tar.gz'
  - %description: At the end of the sentence is one point enough.
  - use macros like %{_bindir}/%{name} instead %{_bindir}/0xFFFF
    https://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo#Macros
License:  ok
Actual License:  ok
%doc License:  ok
Spec file language:  ok
Spec file readable:  ok
Upstream source vs. used tarball: md5 match ( debf8b40ad293fdf6ca19cdf4e461276  )
Compile and Build:
 - F-8: ok
 - F-9: ok
 - rawhide:  ok

Applicable Package Guidelines:

Locales:  n/a
Shared libs:  n/a

Relocatable:  n/a
Directory and file ownership:  ok
No duplicate files in %files:  ok
File Permissions:  ok
Macro usage:  check above
Code vs. Content:  ok
(Large) Documentation:  n/a
%doc affecting runtime:  ok
Header files in -devel package: n/a
Static Libraries in -static package: n/a
pkgconfig Requires:  n/a
Library files: ok
Devel requires base package: n/a
.la libtool archives: ok
Duplicate ownership of files/directories:  ok
Remove BuildRoot:  ok
UTF-8 filenames:  ok

In the tarball is a directory 'gui'. Does this package provide a GUI? If yes, a .desktop file would be nice to integrate it in the desktop environment. https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

Comment 2 David Woodhouse 2008-09-13 23:19:23 UTC
Spec URL: http://david.woodhou.se/0xFFFF.spec
SRPM URL: http://david.woodhou.se/0xFFFF-0.3.9-1.fc10.src.rpm

I don't much like using %{_bindir}/%{name} for the binary -- so I'll avoid the issue by using %{_bindir}/* instead :)

We don't build the GUI part -- just the command line tool.

Thanks for the review.

Comment 3 manuel wolfshant 2008-09-14 00:04:15 UTC
In the build log I get:
cd src/gui && make all
make[1]: Entering directory `/builddir/build/BUILD/0xFFFF-0.3.9/src/gui'
gtkamlc --save-temps --Xcc=-I../squeue ../squeue/squeue.c ../fpid.c ../squeue/squeue.vapi gui.gtkaml extras
.vapi --pkg gtk+-2.0 -o goxf
make[1]: gtkamlc: Command not found
make[1]: *** [all] Error 127
make[1]: Leaving directory `/builddir/build/BUILD/0xFFFF-0.3.9/src/gui'
make[1]: Entering directory `/builddir/build/BUILD/0xFFFF-0.3.9/logotool'
cc -Wall -g   -c -o logotool.o logotool.c
make: [frontend] Error 2 (ignored)
cc -Wall -g   -c -o compress.o compress.c
cc -Wall -g   -c -o uncompress.o uncompress.c
cc -Wall -g   -c -o rgb2yuv.o rgb2yuv.c
uncompress.c: In function 'uncompress_image':
uncompress.c:74: warning: cast from pointer to integer of different size
uncompress.c:74: warning: cast from pointer to integer of different size
uncompress.c:108: warning: format '%d' expects type 'int', but argument 3 has type 'long int'
cc logotool.o compress.o uncompress.o rgb2yuv.o -o logotool
make[1]: Leaving directory `/builddir/build/BUILD/0xFFFF-0.3.9/logotool'

Since you claim that you do not build the GUI, maybe the above could be skipped ?
Especially as a bit later in the build log we can see:
  cp logotool/logotool /builddir/build/BUILDROOT/0xFFFF-0.3.9-1.fc10.x86_64/usr/bin
which you DO pack and include in the final rpm. Despite that logotool has not been compiled using RPM_OPT_FLAGS

David, please fix the above and I'll happily approve the package.

Comment 4 David Woodhouse 2008-09-14 00:33:46 UTC
Spec URL: http://david.woodhou.se/0xFFFF.spec
SRPM URL: http://david.woodhou.se/0xFFFF-0.3.9-2.fc10.src.rpm

Comment 5 manuel wolfshant 2008-09-14 00:58:58 UTC
I hope that
 uncompress.c:108: warning: format '%d' expects type 'int', but argument 3 has type 'long int'

does not translate in a buffer overflow.

All issues are fixed, package is APPROVED.
Thanks Fabian for pre-review

Comment 6 Fabian Affolter 2008-10-27 11:01:16 UTC
David, Manuel approved your package.  Now you can go on with the CVS procedure.

https://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

Comment 7 David Woodhouse 2008-11-02 11:12:13 UTC
New Package CVS Request
=======================
Package Name: 0xFFFF
Short Description: The Open Free Fiasco Firmware Flasher
Owners: dwmw2
Branches: F-9 devel

Comment 8 Dennis Gilmore 2008-11-03 18:56:42 UTC
CVS Done

Comment 9 Fabian Affolter 2008-11-10 21:21:55 UTC
David, I see you have build 0xFFFF for F10, but I don't see it in the
repos.  Have you made updates in the update system at https://admin.fedoraproject.org/updates ?

Comment 10 David Woodhouse 2008-11-10 23:18:00 UTC
I have now. I was having fun watching all the bug reports for a package which hadn't even been _shipped_ yet... :)


Note You need to log in before you can comment on or make changes to this bug.